Subject: Re: [RFC/Patch] ppc4xx_dma.c

From: akuster <[email-masked]>
Date: Wed, 24 Jul 2002 14:11:22 -0700

akuster wrote:
>
> While working on an ocp ide driver using the DMA channel with
> mtdcr/mfdcr calls , it became clear to me that some changes need to
> occur in the ppc4xx_dma.c code.
>
> 1) I moved the scatter/gather code used by the 440GP, 405gp, np405l and
> np405h to a separate file (ppc4xx_sgdma.c) and is now built when one of
> those cpus are configured.
>
> 2) I moved the inline api out of /asm-ppc/ppc4xx_dma.h to either
> ppc4xx_sgdam.c or ppc4xx_dma.c
>
> 3) I needed to add a few more api's for the stbx25xxx and am in the
> process of determining if those need to go into a ppc4xxx_stbdma.c file.
>
> int clr_dma_status(unsigned int dmanr)
>
> int map_dma_port(unsigned int dmanr, unsigned int ocp_dma,short dma_chan)
>
> int disable_dma_port(unsigned int dmanr, unsigned int ocp_dma,short
> dma_chan)
>
> and possible more to follow
>
> The common API's will stay in /kernel/ppc4xx_dma.c and the common
> defines in asm-ppc/ppc4xx_dma.h
>
> armin
>
>
>
>
>
Here is the patch for you to look at in two forms. I ended up creating a
separate file for the STBxxxx family.

If there are no objections , then I will get it submitted.

let em know